AFFRICATE_REDUCTION  
A:  B and C
B:  +obstr(*) 
C:  D or E
D:  +obstr(*-1) -cont(*-1) +delrel(*-1) 
E:  +obstr(*+1) -cont(*+1) +delrel(*+1) 
1:  DELETE (*) 
END AFFRICATE_REDUCTION

AFFRICATION  
A:  B and C
B:  +obstr(*) -cont(*) -cons(*+1) -syllabic(*+1) +high(*+1) -back(*+1) 
C:  D or E
D:  +coronal(*) 
E:  +back(*) 
1:  mark(*) = voice(*) 
2:  INSERT  c  (*) 
3:  voice(*) = mark(*) 
4:  -mark(*) 
END AFFRICATION

AITCH_DELETION  
A:  -obstr(*) -voice(*) 
1:  DELETE (*) 
END AITCH_DELETION

ANTIHIATUS  
A:  +syllabic(*) -back(*) +syllabic(*+1) +back(*+1) 
1:  INSERT  y  (*+1) 
END ANTIHIATUS

APICALIZATION  
A:  +strident(*) +cont(*) +coronal(*) 
1:  -anterior(*) -distrib(*) 
END APICALIZATION

APOCOPE  
A:  +syllabic(-1) -back(-1) -high(-1) +syllabic(-3) +coronal(-2) +delrel(-2) -high(-2) 
1:  DELETE (-1) 
END APOCOPE

ATONIC_EPSILON  
A:  +low(*) -back(*) -stress(*) 
1:  -low(*) 
END ATONIC_EPSILON

AZGO  
A:  +obstr(*) +coronal(*) +obstr(*+1) 
1:  +cont(*) +delrel(*) +strident(*) 
END AZGO

A_COLORING  
A:  +syllabic(*) +low(*) -cons(*+1) -syllabic(*+1) 
1:  -low(*) 
2:  back(*) = back(*+1) 
3:  round(*) = round(*+1) 
END A_COLORING

BACK_MONOPHTHONG  
A:  +round(*) -cons(*) -syllabic(*) +syllabic(*-1) +round(*-1) 
1:  DELETE (*) 
END BACK_MONOPHTHONG

BETACISM  
A:  +strident(*) -coronal(*) 
1:  +distrib(*) -strident(*) 
END BETACISM

BETA_VEE  
A:  +anterior(*) -coronal(*) +cont(*) +voice(*) 
1:  -distrib(*) +strident(*) 
END BETA_VEE

BILATERAL_RAISING  
A:  B and C
B:  +syllabic(*) -back(*) 
C:  D and E
D:  -cons(*-1) -syllabic(*-1) -back(*-1) 
E:  F or G
F:  +high(*+1) -back(*+1) 
G:  -anterior(*+1) +cons(*+2) 
1:  +high(*) 
END BILATERAL_RAISING

CEE_KAY  
A:  -voice(*) -cont(*) +delrel(*) 
1:  INSERT  k  (*) 
END CEE_KAY

CHEISMO  
A:  -voice(*) -obstr(*+1) -cont(*+1) -nasal(*+1) 
1:  INSERT  c  (*) 
2:  DELETE (*+1) 
END CHEISMO

COLON_LONG  
A:  +long(*+1) -cons(*+1) -syllabic(*+1) -voice(*+1) 
1:  +long(*) 
2:  DELETE (*+1) 
END COLON_LONG

CONS_ASSIMILATION  
A:  B and C
B:  D and E
C:  F and G
D:  -cont(*) 
E:  H or I
F:  nasal(*) = nasal(*+1) 
G:  obstr(*) = obstr(*+1) 
H:  +nasal(*) 
I:  +obstr(*) 
1:  all(*) = all(*+1) 
END CONS_ASSIMILATION

CUE_YOU  
A:  -cont(*) +back(*) +high(*+1) +round(*+1) +syllabic(*+2) 
1:  DELETE (*+1) 
2:  +round(*) 
END CUE_YOU

DEAFFRICATION  
A:  +strident(*) +anterior(*) 
1:  +cont(*) 
END DEAFFRICATION

DEGEMINATION  
A:  B and C
B:  all(*) = all(*-1) 
C:  D or E
D:  +obstr(*) 
E:  -cont(*) 
1:  DELETE (*) 
END DEGEMINATION

DELETE_B_D_G  
A:  B and C
B:  D and E
C:  F or G
D:  +obstr(*) +voice(*) -strident(*) -cons(*-1) +syllabic(*+1) 
E:  N or O
F:  H and I
G:  +anterior(*) -coronal(*) +round(*+1) +high(*+1) 
H:  J or K
I:  L or M
J:  -round(*+1) 
K:  -high(*+1) 
L:  -anterior(*) 
M:  +coronal(*) 
N:  -high(*) 
O:  +back(*) 
1:  DELETE (*) 
END DELETE_B_D_G

DENTALIZATION  
A:  +strident(*) -cont(*) 
1:  -high(*) +anterior(*) 
END DENTALIZATION

DENTAL_S  
A:  +strident(*) +coronal(*) +anterior(*+1) +coronal(*+1) 
1:  +anterior(*) +distrib(*) 
END DENTAL_S

DENTAL_VOCALIZATION  
A:  B and C
B:  +obstr(*) +coronal(*) +voice(*) -strident(*) 
C:  D or E
D:  +high(*-1) +obstr(*+1) 
E:  -high(*-1) +nasal(*+1) 
1:  INSERT  y  (*) 
END DENTAL_VOCALIZATION

DIPHTHONG  
A:  B and C
B:  +low(*) 
C:  back(*) = round(*) 
1:  -low(*) +high(*) -syllabic(*) 
2:  INSERT  e  (*+1) 
3:  stress(*+1) = stress(*) 
4:  -stress(*) 
END DIPHTHONG

EPENTHETIC_B_D  
A:  +cons(*) -nasal(*+1) +cons(*+1) -obstr(*) -obstr(*+1) 
1:  INSERT  d  (*+1) 
2:  coronal(*+1) = coronal(*) 
3:  back(*+1) = back(*) 
4:  anterior(*+1) = anterior(*) 
5:  high(*+1) = high(*) 
END EPENTHETIC_B_D

E_O_FINAL  
A:  B and C
B:  +syllabic(-1) -stress(-1) 
C:  COUNT +syllabic(1)(255) > 1
1:  -high(-1) 
END E_O_FINAL

FINAL_METATHESIS  
A:  +cons(-1) -obstr(-1) +cont(-1) 
1:  SWAP (-1) (-2) 
END FINAL_METATHESIS

FINAL_NASAL_DELETION  
A:  B and C
B:  +nasal(-1) 
C:  COUNT +stress(1)(255) > 0
1:  DELETE (-1) 
END FINAL_NASAL_DELETION

FINAL_STOP_DELETION  
A:  +obstr(-1) -cont(-1) 
1:  DELETE (-1) 
END FINAL_STOP_DELETION

FRONTING  
A:  B and C
B:  +syllabic(*) 
C:  -cons(*+1) -syllabic(*+1) -back(*+1) 
1:  -back(*) -round(*) 
END FRONTING

FRONT_RAISING  
A:  B and C
B:  +syllabic(*) -back(*) 
C:  -cons(*+1) -syllabic(*+1) -back(*+1) 
1:  high(*)  \= low(*) 
2:  -low(*) 
END FRONT_RAISING

GEMINATE_PALATAL  
A:  B and C
B:  D and E
C:  +syllabic(*+2) 
D:  -obstr(*) -cont(*) +coronal(*) 
E:  all(*) = all(*+1) 
1:  +high(*) -anterior(*) 
2:  DELETE (*+1) 
END GEMINATE_PALATAL

GLIDE_ABSORPTION  
A:  B and C
B:  -cons(*) -syllabic(*) 
C:  D or E
D:  F and G
E:  J and K
F:  +high(*-1) 
G:  H and I
H:  back(*) = back(*-1) 
I:  round(*) = round(*-1) 
J:  +high(*+1) 
K:  L and M
L:  back(*) = back(*+1) 
M:  round(*) = round(*+1) 
1:  DELETE (*) 
END GLIDE_ABSORPTION

GLIDE_FORTITION  
A:  -cons(*) -syllabic(*) +high(*) +syllabic(*+1) 
1:  +obstr(*) +cons(*) 
2:  coronal(*)  \= round(*) 
END GLIDE_FORTITION

GLIDE_METATHESIS  
A:  B and C
B:  H and I
C:  D or E
D:  -voice(*) 
E:  F or G
F:  +coronal(*) +cont(*) 
G:  anterior(*) = back(*+1) 
H:  +cons(*) -cons(*+1) -syllabic(*+1) +syllabic(*-1) 
I:  J or K
J:  +back(*+2) 
K:  +high(*+2) 
1:  SWAP (*) (*+1) 
END GLIDE_METATHESIS

GW_MONOSEG  
A:  +cons(*) +back(*) +voice(*) -syllabic(*+1) +round(*+1) 
1:  +round(*) 
2:  DELETE (*+1) 
END GW_MONOSEG

HIGH_LOWERING  
A:  +syllabic(*) -long(*) 
1:  -high(*) 
END HIGH_LOWERING

HOMORGANIC  
A:  B and C
B:  H and I
C:  D and E
D:  -cont(*) -obstr(*) 
E:  F or G
F:  +nasal(*) 
G:  +coronal(*+1) 
H:  +cons(*+1) 
I:  J or K
J:  -nasal(*) 
K:  +obstr(*+1) 
1:  coronal(*) = coronal(*+1) 
2:  anterior(*) = anterior(*+1) 
3:  high(*) = high(*+1) 
4:  low(*) = low(*+1) 
5:  back(*) = back(*+1) 
6:  distrib(*) = distrib(*+1) 
END HOMORGANIC

IMPLOSION  
A:  B and C
B:  +cons(*) -strident(*) +cons(*-1) -cont(*+1) 
C:  D or E
D:  voice(*) = voice(*-1) 
E:  voice(*) = voice(*+1) 
1:  DELETE (*) 
END IMPLOSION

INTERDENTAL  
A:  B and C
B:  +strident(*) +coronal(*) +anterior(*) 
C:  D or E
D:  COUNT +segment(*)(255) = 1
E:  -coronal(*+1) 
1:  -strident(*) -distrib(*) 
END INTERDENTAL

JAY_WYE  
A:  +voice(*) +strident(*) +coronal(*) -cont(*) 
1:  INSERT  y  (*) 
END JAY_WYE

J_Y_MERGER  
A:  B and C
B:  +obstr(*) +high(*) -back(*) +voice(*) 
C:  D or E
D:  -cont(*) 
E:  F and G
F:  +round(*+1) 
G:  H or I
H:  COUNT +segment(1)(*) = 1
I:  -syllabic(*-1) 
1:  +cont(*) +strident(*) +delrel(*) 
END J_Y_MERGER

KAY_ESS  
A:  +back(*) -voice(*) +cont(*) 
1:  -cont(*) -delrel(*) 
2:  INSERT  s  (*+1) 
END KAY_ESS

LAMBDACISM  
A:  -cont(*) -obstr(*) -nasal(*) +obstr(*-1) 
1:  +high(*) -anterior(*) 
END LAMBDACISM

LAMBDA_ELL  
A:  -cont(*) -obstr(*) +obstr(*-1) +voice(*-1) 
1:  -high(*) +anterior(*) 
END LAMBDA_ELL

LATERAL_AFFRICATION  
A:  -obstr(*) -cont(*) -nasal(*) +high(*) 
1:  INSERT  j  (*) 
END LATERAL_AFFRICATION

LATERAL_VOCALIZATION  
A:  B and C
B:  -cont(*) -obstr(*) -nasal(*) +back(*-1) +obstr(*+1) 
C:  D or E
D:  -low(*-1) +coronal(*+1) -high(*+1) 
E:  +low(*-1) -round(*-1) 
1:  -coronal(*) +cont(*) +high(*) -cons(*) -anterior(*) +distrib(*) 
2:  round(*)  \= round(*-1) 
3:  back(*) = round(*) 
END LATERAL_VOCALIZATION

LATIN_DIPHTHONGS  
A:  B and C
B:  +syllabic(*-1) +back(*-1) -high(*-1) -long(*-1) 
C:  D and E
D:  +syllabic(*) -low(*) 
E:  high(*) = back(*) 
1:  +high(*) -syllabic(*) 
END LATIN_DIPHTHONGS

LOW_RAISING  
A:  B and C
B:  back(*) = round(*) 
C:  D or E
D:  H or I
E:  F or G
F:  J or K
G:  L or M
H:  +high(*+1) -back(*+1) 
I:  -cons(*+1) -syllabic(*+1) 
J:  +high(*+2) -back(*+2) 
K:  -cons(*+2) -syllabic(*+2) 
L:  +high(*+3) -back(*+3) 
M:  -cons(*+3) -syllabic(*+3) 
1:  -low(*) 
END LOW_RAISING

MID_LOWERING  
A:  +stress(*) -high(*) -long(*) 
1:  +low(*) 
END MID_LOWERING

MID_RAISING  
A:  B and C
B:  COUNT +mark(*)(255) = 1
C:  D and E
D:  +syllabic(*) -low(*) 
E:  F and G
F:  H and I
G:  J or K
H:  COUNT +syllabic(*)(+mark) = 1
I:  COUNT +syllabic(*)(255) > 1
J:  -stress(*) 
K:  L and M
L:  N or O
M:  COUNT +segment(*)(+mark) < 4
N:  COUNT +segment(+mark)(+syllabic) = 2
O:  COUNT +segment(+mark)(+obstr) = 2
1:  +high(*) 
END MID_RAISING

MID_RAISING_1  
A:  B and C
B:  D and E
C:  F or G
D:  +high(*) -syllabic(*) 
E:  H or I
F:  +syllabic(*+1) 
G:  +obstr(*+1) 
H:  -cons(*) -back(*) 
I:  +round(*) 
1:  +mark(*) 
END MID_RAISING_1

MID_RAISING_2_EARLY  
A:  B and C
B:  +mark(*) 
C:  +syllabic(*+1) 
1:  +mark(*+1) 
END MID_RAISING_2_EARLY

MID_RAISING_2_LATE  
A:  +mark(*) -obstr(*) 
1:  +mark(*+1) 
END MID_RAISING_2_LATE

MID_RAISING_3_EARLY  
A:  B and C
B:  D and E
C:  F and G
D:  +syllabic(*) -low(*) 
E:  COUNT +syllabic(*)(+mark) = 1
F:  COUNT +syllabic(*)(255) > 1
G:  H or I
H:  +back(*) 
I:  COUNT +mark(1)(255) = 2
1:  +high(*) 
END MID_RAISING_3_EARLY

MID_RAISING_3_LATE  
A:  B and C
B:  D and E
C:  F and G
D:  +syllabic(*) -low(*) 
E:  COUNT +syllabic(*)(+mark) = 1
F:  COUNT +syllabic(*)(255) > 1
G:  H or I
H:  -stress(*) 
I:  J and K
J:  COUNT +mark(1)(255) = 2
K:  COUNT +segment(*)(+mark) < 4
1:  +high(*) 
END MID_RAISING_3_LATE

MID_RAISING_4  
A:  B and C
B:  +syllabic(*) -low(*) 
C:  D and E
D:  +syllabic(-1) +high(-1) -back(-1) 
E:  COUNT +syllabic(*)(255) = 2
1:  +high(*) -mark(*) -mark(*+1) 
END MID_RAISING_4

MID_RAISING_5  
A:  B and C
B:  +syllabic(*) -low(*) 
C:  D and E
D:  -cons(*+1) +high(*+1) 
E:  F or G
F:  +back(*+1) -syllabic(*+1) 
G:  -back(*+1) +syllabic(*+1) 
1:  +high(*) -mark(*) -mark(*+1) 
END MID_RAISING_5

MID_RAISING_AGENT  
A:  B or C
B:  -cons(*) -syllabic(*) 
C:  +back(*) +round(*) -syllabic(*) 
1:  +mark(*) 
END MID_RAISING_AGENT

MOD_B_D_G  
A:  +obstr(*) +voice(*) -delrel(*) 
1:  +cont(*) +delrel(*) 
END MOD_B_D_G

MOD_CEE_KAY  
A:  B and C
B:  -voice(*) -cont(*) +delrel(*) 
C:  D or E
D:  +voice(*+1) 
E:  +obstr(*+1) 
1:  INSERT  k  (*) 
END MOD_CEE_KAY

MOD_CE_CI  
A:  -cont(*) +delrel(*) -voice(*) -cons(*+1) -back(*+1) 
1:  INSERT  z  (*) 
END MOD_CE_CI

MOD_GE_GI  
A:  -cont(*) +back(*) +voice(*) -round(*) -cons(*+1) -back(*+1) 
1:  INSERT  x  (*) 
END MOD_GE_GI

MOD_GLIDE  
A:  B and C
B:  -cons(*) +high(*) -stress(*) 
C:  D or E
D:  +syllabic(*-1) -high(*-1) 
E:  +syllabic(*+1) 
1:  -syllabic(*) 
2:  back(*) = round(*) 
END MOD_GLIDE

MOD_GLIDE_FORT  
A:  B and C
B:  -cons(*) -syllabic(*) +syllabic(*+1) 
C:  D or E
D:  +syllabic(*-1) 
E:  COUNT +segment(1)(*) = 1
1:  +cons(*) +obstr(*) 
2:  coronal(*)  \= round(*) 
END MOD_GLIDE_FORT

MOD_GWE  
A:  -back(*) +round(*) 
1:  +round(*-1) 
2:  DELETE (*) 
END MOD_GWE

MOD_J  
A:  +obstr(*) -cont(*) +delrel(*) +voice(*) 
1:  INSERT  x  (*) 
END MOD_J

MOD_LL  
A:  B and C
B:  -obstr(*) -cont(*) -nasal(*) 
C:  all(*) = all(*+1) 
1:  -anterior(*) +high(*) 
2:  DELETE (*+1) 
END MOD_LL

MOD_QU_GU  
A:  -cont(*-1) +back(*-1) -cons(*) +round(*) +back(*) -cons(*+1) -back(*+1) 
1:  -round(*-1) 
2:  DELETE (*) 
END MOD_QU_GU

MOD_S  
A:  +coronal(*) +strident(*) +cont(*) 
1:  -anterior(*) -distrib(*) 
END MOD_S

MOD_STRESS_CON  
A:  B and C
B:  COUNT +stress(1)(255) = 0
C:  D and E
D:  F and G
E:  -syllabic(*+1) -nasal(*+1) -strident(*+1) 
F:  +syllabic(*) 
G:  COUNT +syllabic(*)(255) = 1
1:  +stress(*) 
END MOD_STRESS_CON

MOD_STRESS_VOC  
A:  B and C
B:  COUNT +stress(1)(255) = 0
C:  D and E
D:  F and G
E:  H or I
F:  +syllabic(*) 
G:  COUNT +syllabic(*)(255) = 2
H:  +syllabic(-1) 
I:  J or K
J:  +nasal(-1) +coronal(-1) 
K:  +coronal(-1) +strident(-1) -high(-1) 
1:  +stress(*) 
END MOD_STRESS_VOC

MOD_V  
A:  +obstr(*) +voice(*) -coronal(*) +anterior(*) 
1:  -strident(*) +distrib(*) 
END MOD_V

MOD_Z  
A:  +strident(*) +voice(*) +coronal(*) 
1:  -strident(*) -voice(*) -distrib(*) 
END MOD_Z

MONOPHTHONG  
A:  B and C
B:  D and E
C:  F and G
D:  COUNT +syllabic(1)(255) > 1
E:  -cons(*) -syllabic(*) +syllabic(*-1) 
F:  back(*) = back(*-1) 
G:  round(*) = round(*-1) 
1:  +long(*-1) 
2:  DELETE (*) 
END MONOPHTHONG

NASAL_DISSIMILATION  
A:  +nasal(*) +coronal(*) +nasal(*-1) 
1:  -nasal(*) +cont(*) 
END NASAL_DISSIMILATION

NATURAL_CODA  
A:  B and C
B:  +cons(*) +cons(*+1) 
C:  -obstr(*) 
1:  -round(*) 
2:  anterior(*)  \= back(*) 
3:  high(*) = back(*) 
END NATURAL_CODA

NS_S  
A:  +nasal(*) +strident(*+1) 
1:  +long(*-1) 
2:  DELETE (*) 
END NS_S

ONGLIDING  
A:  B and C
B:  +obstr(*) +back(*) -round(*) 
C:  +syllabic(*+1) -back(*+1) 
1:  INSERT  y  (*+1) 
END ONGLIDING

O_RAISING  
A:  B and C
B:  +round(*) -low(*) 
C:  -obstr(*+1) -cont(*+1) +high(*+1) -back(*+1) 
1:  +high(*) 
END O_RAISING

PALATAL_DELETION  
A:  B and C
B:  +obstr(*) +cont(*) -strident(*) +high(*) -back(*) 
C:  D or E
D:  H and I
E:  F or G
F:  J and K
G:  +syllabic(*-1) -back(*-1) +syllabic(*+1) 
H:  COUNT +segment(1)(*) = 1
I:  +syllabic(2) -back(2) -stress(2) 
J:  L or M
K:  -back(*+1) 
L:  +syllabic(*-1) 
M:  -obstr(*-1) -cont(*-1) -nasal(*-1) 
1:  DELETE (*) 
END PALATAL_DELETION

PALATAL_VELARIZATION  
A:  -voice(*) +cont(*) +high(*) 
1:  +back(*) -coronal(*) -strident(*) +distrib(*) 
END PALATAL_VELARIZATION

PHI_ASPIRATION  
A:  +anterior(*) -coronal(*) -voice(*) +cont(*) +syllabic(*+1) 
1:  INSERT  h  (*) 
END PHI_ASPIRATION

PHI_EFF  
A:  -voice(*) -coronal(*) +anterior(*) +cont(*) 
1:  INSERT  f  (*) 
END PHI_EFF

PL_LL_EARLY  
A:  B and C
B:  +obstr(1) +voice(1) +back(1) 
C:  -obstr(2) -cont(2) 
1:  DELETE (1) 
END PL_LL_EARLY

PL_LL_LATE  
A:  B and C
B:  +obstr(1) -voice(1) 
C:  -obstr(2) -cont(2) 
1:  DELETE (1) 
END PL_LL_LATE

PRENASAL_LONG  
A:  B and C
B:  +syllabic(*) +nasal(*+1) +obstr(*+2) 
C:  D or E
D:  +cont(*+2) 
E:  +obstr(*+3) 
1:  +long(*) 
END PRENASAL_LONG

PROGRESSIVE_HUSHING  
A:  B and C
B:  -cons(*-1) -syllabic(*-1) -back(*-1) 
C:  D and E
D:  -cons(*+1) 
E:  +coronal(*) -voice(*) 
1:  +high(*) -anterior(*) +strident(*) +delrel(*) +distrib(*) 
END PROGRESSIVE_HUSHING

PROGRESSIVE_RAISING  
A:  B and C
B:  +syllabic(*) -back(*) -low(*) 
C:  D and E
D:  +high(*-1) -back(*-1) +voice(*-1) +cont(*-1) 
E:  +syllabic(*-2) 
1:  +high(*) 
END PROGRESSIVE_RAISING

PROGRESSIVE_ROUNDING  
A:  B and C
B:  -cons(*-1) -syllabic(*-1) +round(*-1) 
C:  +obstr(*) +back(*) +voice(*) 
1:  +round(*) 
END PROGRESSIVE_ROUNDING

PROGRESSIVE_STRESS  
A:  B and C
B:  +stress(*) -low(*) 
C:  D and E
D:  +syllabic(*+1) 
E:  F or G
F:  +high(*) 
G:  back(*)  \= back(*+1) 
1:  -stress(*) 
2:  +stress(*+1) 
END PROGRESSIVE_STRESS

PROGRESSIVE_VOICING  
A:  +obstr(*) -voice(*-1) 
1:  -voice(*) 
END PROGRESSIVE_VOICING

PROTHESIS  
A:  +coronal(1) +strident(1) +cons(2) 
1:  INSERT  e  (1) 
END PROTHESIS

Q_BISEGMENTAL  
A:  +obstr(*) +round(*) -voice(*) -cont(*) 
1:  -round(*) 
2:  INSERT  w  (*+1) 
END Q_BISEGMENTAL

REGRESSIVE_VOICING  
A:  B and C
B:  +obstr(*) -cons(*-1) +cons(*+1) 
C:  D or E
D:  +cont(*) 
E:  -cont(*+1) 
1:  voice(*) = voice(*+1) 
END REGRESSIVE_VOICING

RENUCLEATION  
A:  B and C
B:  -cons(*) -syllabic(*) -syllabic(*+1) 
C:  D and E
D:  +syllabic(*-1) -low(*-1) 
E:  round(*-1)  \= round(*) 
1:  +syllabic(*) 
2:  high(*) = high(*-1) 
3:  stress(*) = stress(*-1) 
4:  -syllabic(*-1) +high(*-1) -stress(*-1) 
END RENUCLEATION

RESONANT_CORONAL  
A:  B and C
B:  -obstr(-1) +cons(-1) 
C:  COUNT +segment(*)(255) = 1
1:  +coronal(*) -high(*) +anterior(*) 
END RESONANT_CORONAL

RESONANT_METATHESIS  
A:  B and C
B:  +obstr(*) -strident(*) +coronal(*) 
C:  -cont(*+1) -obstr(*+1) 
1:  SWAP (*) (*+1) 
END RESONANT_METATHESIS

RESONANT_PALATAL  
A:  B and C
B:  -cont(*) -obstr(*) +coronal(*) 
C:  D or E
D:  -cons(*-1) -syllabic(*-1) -back(*-1) 
E:  -cons(*+1) -syllabic(*+1) -back(*+1) 
1:  +high(*) -anterior(*) 
END RESONANT_PALATAL

RESTRESS  
A:  +stress(*) +high(*) +syllabic(*-1) -high(*-1) 
1:  -stress(*) +stress(*-1) 
END RESTRESS

RS_SS  
A:  +cons(*) -obstr(*) +cont(*) +strident(*+1) +coronal(*+1) 
1:  all(*) = all(*+1) 
END RS_SS

SPIRANTIZATION  
A:  B and C
B:  +obstr(*) -cont(*) +voice(*) 
C:  D or E
D:  -delrel(*) 
E:  +high(*) 
1:  +cont(*) +delrel(*) -strident(*) 
END SPIRANTIZATION

STOPPING  
A:  B and C
B:  +obstr(*) +voice(*) -strident(*) -cont(*-1) 
C:  coronal(*) = coronal(*-1) 
1:  -cont(*) 
2:  delrel(*) = strident(*) 
END STOPPING

STRESS_1  
A:  B and C
B:  D and E
C:  F or G
D:  +syllabic(*) 
E:  COUNT +syllabic(*)(255) = 2
F:  COUNT +syllabic(1)(255) = 2
G:  H and I
H:  COUNT +syllabic(1)(255) > 2
I:  J or K
J:  +long(*) 
K:  COUNT -syllabic(*)(+syllabic) > 1
1:  +stress(*) 
END STRESS_1

STRESS_2  
A:  B and C
B:  +syllabic(*) 
C:  D and E
D:  COUNT +stress(1)(255) = 0
E:  COUNT +syllabic(*)(255) = 3
1:  +stress(*) 
END STRESS_2

SYNALEPHA  
A:  B and C
B:  -cons(*) -low(*) -stress(*) +syllabic(*+1) -low(*+1) 
C:  round(*) = round(*+1) 
1:  DELETE (*) 
END SYNALEPHA

SYNCOPE_EXECUTION  
A:  B and C
B:  +mark(*) 
C:  D and E
D:  +syllabic(*) 
E:  F and G
F:  COUNT +syllabic(1)(*) > 1
G:  COUNT +syllabic(*)(255) > 1
1:  DELETE (*) 
END SYNCOPE_EXECUTION

SYNCOPE_MARK_EARLY  
A:  B and C
B:  D or E
C:  F or G
D:  H and I
E:  COUNT +syllabic(+stress)(*) = 2
F:  +cons(*-1) +cons(*+1) -obstr(*+1) -nasal(*+1) 
G:  J and K
H:  COUNT +syllabic(*)(+stress) = 2
I:  -low(*) 
J:  L or M
K:  +cons(*+1) -back(*+1) 
L:  +cons(*-1) -obstr(*-1) -nasal(*-1) 
M:  +strident(*-1) +coronal(*-1) 
1:  +mark(*) 
END SYNCOPE_MARK_EARLY

SYNCOPE_MARK_LATE  
A:  B and C
B:  -low(*) -syllabic(*-1) -syllabic(*+1) 
C:  D or E
D:  COUNT +syllabic(*)(+stress) = 2
E:  COUNT +syllabic(+stress)(*) = 2
1:  +mark(*) 
END SYNCOPE_MARK_LATE

SYNERESIS_EARLY  
A:  B and C
B:  +syllabic(*) -stress(*) -low(*) 
C:  D and E
D:  +syllabic(*+1) 
E:  F or G
F:  +high(*) 
G:  back(*)  \= back(*+1) 
1:  -syllabic(*) -long(*) +high(*) 
END SYNERESIS_EARLY

SYNERESIS_LATE  
A:  B and C
B:  +syllabic(*) -back(*) -stress(*) 
C:  D or E
D:  +high(*) +syllabic(*+1) 
E:  F or G
F:  +syllabic(*-1) +back(*-1) 
G:  +syllabic(*+1) +back(*+1) 
1:  +high(*) -syllabic(*) 
END SYNERESIS_LATE

SYNERESIS_MOD  
A:  B and C
B:  +syllabic(*) +high(*) -stress(*) 
C:  D or E
D:  +syllabic(*+1) 
E:  +syllabic(*-1) 
1:  -syllabic(*) 
END SYNERESIS_MOD

S_CLUSTER  
A:  +obstr(*) +strident(*+1) +obstr(*+2) 
1:  DELETE (*) 
END S_CLUSTER

TRILLING  
A:  B and C
B:  +cons(*) -obstr(*) +cont(*) 
C:  all(*) = all(*+1) 
1:  DELETE (*+1) 
2:  +long(*) 
END TRILLING

UNLONG  
A:  B or C
B:  +syllabic(*) 
C:  +cons(*+1) 
1:  -long(*) 
END UNLONG

UNMARK  
A:  +mark(*) 
1:  -mark(*) 
END UNMARK

UNROUND  
A:  B and C
B:  +obstr(*) +syllabic(*+1) 
C:  D or E
D:  F or G
E:  H and I
F:  -back(*+1) 
G:  +round(*+1) 
H:  -stress(*+1) 
I:  COUNT +segment(1)(*) = 1
1:  -round(*) 
END UNROUND

UNVOICE  
A:  +strident(*) 
1:  -voice(*) 
END UNVOICE

VECINO  
A:  B and C
B:  +syllabic(*) +high(*) 
C:  D or E
D:  +stress(*+1) +high(*+1) -back(*+1) 
E:  F or G
F:  +stress(*+2) +high(*+2) -back(*+2) 
G:  +stress(*+3) +high(*+3) -back(*+3) 
1:  -high(*) 
END VECINO

VEE_DUB  
A:  +voice(*) +strident(*) -coronal(*) 
1:  INSERT  w  (*) 
END VEE_DUB

VELAR_DELETION  
A:  +back(*) +obstr(*) +voice(*) +syllabic(*-1) -long(*-1) +syllabic(*+1) -back(*+1) 
1:  DELETE (*) 
END VELAR_DELETION

VELAR_SPIRANT  
A:  +obstr(*) +back(*) +syllabic(*-1) +cons(*+1) -back(*+1) 
1:  +cont(*) +delrel(*) 
END VELAR_SPIRANT

VELAR_YOD_EARLY  
A:  B and C
B:  +obstr(*) +high(*) +syllabic(*-1) +cons(*+1) -back(*+1) 
C:  -obstr(*+1) 
1:  INSERT  y  (*) 
END VELAR_YOD_EARLY

VELAR_YOD_LATE  
A:  +obstr(*) +high(*) +syllabic(*-1) +cons(*+1) -back(*+1) 
1:  INSERT  y  (*) 
END VELAR_YOD_LATE

VOICING  
A:  B and C
B:  D or E
C:  -obstr(*+1) 
D:  +syllabic(*-1) 
E:  F and G
F:  -cons(*-1) 
G:  +cont(*) 
1:  +voice(*) 
END VOICING

VOWEL_LONG  
A:  B and C
B:  +syllabic(*) +syllabic(*-1) +cons(*-2) 
C:  D and E
D:  -back(*) 
E:  F or G
F:  -coronal(*-2) 
G:  -obstr(*-2) +cont(*-2) 
1:  +long(*) 
END VOWEL_LONG

WAWISM_EARLY  
A:  B and C
B:  +obstr(*) +anterior(*) -coronal(*) 
C:  +obstr(*+1) +back(*+1) 
1:  INSERT  w  (*) 
END WAWISM_EARLY

WAWISM_LATE  
A:  B and C
B:  +obstr(*) +anterior(*) -coronal(*) 
C:  +obstr(*+1) 
1:  INSERT  w  (*) 
END WAWISM_LATE

WAW_EXPULSION  
A:  B and C
B:  D and E
C:  F and G
D:  +round(*) -syllabic(*) 
E:  +cons(*-1) -obstr(*-1) 
F:  H or I
G:  +syllabic(*+1) 
H:  +round(*-2) 
I:  +anterior(*-2) -coronal(*-2) 
1:  DELETE (*) 
END WAW_EXPULSION

WYE_EYE  
A:  -cons(*) -syllabic(*) -round(*) 
1:  +syllabic(*) 
END WYE_EYE

W_BETA  
A:  +obstr(*) +round(*) +cont(*) 
1:  -high(*) -back(*) +anterior(*) -round(*) 
END W_BETA
